View Issue Details

IDProjectCategoryView StatusLast Update
0008131Talerlibeufin (general)public2024-03-07 20:49
ReporterAntoine A Assigned ToAntoine A  
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.9.4Fixed in Version0.9.4 
Summary0008131: Review loggers configuration
DescriptionCurrently we have logs from the third party library that are redundant and display stack traces that we don't want.
By default we print logs at all levels, we should be able to configure the expected log level using a CLI flag and default to INFO.
We display the thread name but as our program uses coroutines and there is only one named thread in libeufin-bank, this information is not really useful.
We sometimes use class names to identify loggers with some inconsistency, we need to check if this behaviour is consistent with other Taler components.

When this is done, we'll need to review what we want/need in the log and add debugging and information logs that are missing.
TagsNo tags attached.

Relationships

related to 0008278 closedAntoine A Improve libeufin-bank logging 
child of 0008365 resolvedChristian Grothoff package and upload libeufin 0.10 to ftp and stable Debian/Ubuntu server 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2024-01-19 10:14 Antoine A New Issue
2024-01-19 10:14 Antoine A Status new => assigned
2024-01-19 10:14 Antoine A Assigned To => Antoine A
2024-01-29 15:03 Florian Dold Target Version => 0.10
2024-01-30 00:42 Christian Grothoff Severity minor => tweak
2024-02-10 00:26 Christian Grothoff Relationship added child of 0008365
2024-02-10 00:29 Christian Grothoff Relationship added related to 0008278
2024-03-04 16:59 Antoine A Status assigned => resolved
2024-03-04 16:59 Antoine A Resolution open => fixed
2024-03-05 17:57 Christian Grothoff Product Version => git (master)
2024-03-05 17:57 Christian Grothoff Fixed in Version => 0.9.4
2024-03-05 17:57 Christian Grothoff Target Version 0.10 => 0.9.4
2024-03-07 20:49 Christian Grothoff Status resolved => closed